#!/bin/sh
KDECONFIG=`which kde-config 2>/dev/null`

echo -en "Copying encrypt and decrypt to /usr/bin... "
cp encrypt decrypt /usr/bin
echo -en "done.\n"
echo

if [ ! -z $KDECONFIG ]; then
	echo -en "Copying service menus to `$KDECONFIG --prefix`/share/apps/konqueror/servicemenus... "
	cp *.desktop `$KDECONFIG --prefix`/share/apps/konqueror/servicemenus
	echo -en "done.\n"
else
	echo -en "kde-config is not in your path, copy the .desktop files (service menus) to (KDE Prefix)/share/apps/konqueror/servicemenus\n"
fi
echo

echo -en "Changing the modes of installed files... "
chmod 755 /usr/bin/encrypt /usr/bin/decrypt
if [ ! -z $KDECONFIG ]; then
	chmod 644 `$KDECONFIG --prefix`/share/apps/konqueror/servicemenus/*.desktop
fi
echo -en "done.\n"

OPENSSL=`which openssl 2>/dev/null`
if [ -z $OPENSSL ]; then
	echo
	echo -en "Could not find openssl in your path, install it and make sure you have executable rights.\n"
	echo -en "\nEncrypt/Decrypt will not work until the requirements above are met.\n"
fi


